#include "widget.h"
#include "./ui_widget.h"

#include <QNetworkReply>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QTimer>
#include <QNetworkProxy>

#include "spdlog/spdlog.h"


Widget::Widget(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::Widget)
{
    ui->setupUi(this);

    // 初始化QtHttps
    m_qtHttps = new QtHttps(this);

    SPDLOG_INFO("***** Qt Library *****");

    ui->lineEdit->setText("http://www.baidu.com");
}

Widget::~Widget()
{
    delete m_qtHttps;
    delete ui;
}


void Widget::on_pBtn_connectHTTP_clicked()
{
    SPDLOG_INFO("点击了“连接按钮”");
    // m_qtHttps->GetHead("http://192.168.50.100:3000/apple/Embedded_A33.git");
    m_qtHttps->GetHead(ui->lineEdit->text());
}

void Widget::on_pBtn_downloadFile_clicked()
{
    SPDLOG_INFO("点击了“下载文件”");
    m_qtHttps->downloadFile(ui->lineEdit->text(), "Embedded_A33.zip");
    
}

