#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>

#include "QtHttps.h"

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private slots:

    void on_pBtn_connectHTTP_clicked();

    void on_pBtn_downloadFile_clicked();

private:
    Ui::Widget *ui;

    QtHttps *m_qtHttps = nullptr;

};
#endif // WIDGET_H
