#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include "qmqtt.h"

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private slots:
    void do_receiveFromMqtt(const QMQTT::Message& msg);

    void on_pBtn_connectMQTT_clicked();

    void on_pBtn_publishMSG_clicked();

private:
    Ui::Widget *ui;

    QMQTT::Client* m_client = nullptr;
};
#endif // WIDGET_H
